NXOpen.UF.Turn.CreateParametricBlank

Turn.CreateParametricBlank()

Refer to UF_TURN_create_parametric_blank for documentation.

Signature: CreateParametricBlank(objectTag, workpieceType, direction, mountingPoint, length, outerDiameter, innerDiameter)

Parameters:
  • objectTag (Tag) – the parent object of the blank
  • workpieceType (NXOpen.UF.Param.TurnWorkpieceType Refer to UF_PARAM_turn_workpiece_type_t for documentation.) – the type of the blank
  • direction (NXOpen.UF.Param.TurnWorkpieceDirection Refer to UF_PARAM_turn_workpiece_direction_t for documentation.) – the direction of the parametric blank
  • mountingPoint (Tag) – the mounting point of the parametric blank
  • length (float) – the length of the parametric blank
  • outerDiameter (float) – the diameter of the parametric blank
  • innerDiameter (float) – the inner diameter of the tube blank

License requirements: None